define(['dojo/_base/declare',
		'thornberry/account/HeaderPane', 
		'dojo/text!./templates/HeaderPaneSmallPatient.html', 
		'dojo/text!./templates/HeaderPaneSmallContact.html'
	],function (declare, AccountHeaderPane, patientHeaderTemplate, contactHeaderTemplate) {
	return declare([AccountHeaderPane], {
		// summary:
		//		This widget displays data from a JSON object as a small version of the NDoc account header.

		templates: {
			patient: patientHeaderTemplate,
			contact: contactHeaderTemplate
		},
		
		_getEmptyTemplate: function(){
			// TODO: Would love a better way to handle the onClick event
			return '<div class="fieldColumn left">\
					<div onClick="if(startWindow && !startWindow.closed){window.focusOpen(\'\',\'STARTWINDOW\').focus();startWindow.focusSearchDisplay();}">\
						<div class="icon search"></div>\
						<span class="patientName">Select an account</span>\
					</div>\
				</div>';
		}
   });
});